Subject: Re: Help with device tree binding for SMC serial

From: Scott Wood <[email-masked]>
Date: Thu, 10 Jan 2008 13:19:58 -0600

Rune Torgersen wrote:
> Not sure what was wrong. We took a step back, and redid some stuff, and
> now we have serial output from the boot-wrapper.
> THe checkstop came from the wrapper grying to access the bcsr and doing
> the chip select fixup. We don';t have a bcsr on our board, and the cs
> layout is different.

There's no bcsr access in the upstream bootwrapper (the mention of bcsr 
in cuboot-pq2.c is just one reason why some boards require us to do the 
CS programming), and the CS programming is chip-level, not board-level 
(it just requires that the device tree have a correct localbus node for 
the board).

-Scott